%%% Counterfactual tables

cf_table_opt.don_char_list     = {'age_don','don_cod_stroke','don_cod_headtrauma','ecd_donor','dcd','hist_hypertens_don'};
cf_table_opt.pt_splits         = {@(pt) pt.init_age<18, ...
                                      @(pt) all([pt.init_age>=18 pt.init_age<35],2), ...
                                      @(pt) all([pt.init_age>=35 pt.init_age<50],2), ...
                                      @(pt) all([pt.init_age>=50 pt.init_age<65],2), ...
                                      @(pt) pt.init_age>=65, ...
				      @(pt) pt.cpra < .195,...
				      @(pt) all([pt.cpra>=.195 pt.cpra<.795],2),...
				      @(pt) pt.cpra >= .795,...
                                      @(pt) all([pt.init_age<50 ~(pt.dialysis_date <= pt.init_date)],2),...
                                      @(pt) all([pt.init_age>=50 ~(pt.dialysis_date <= pt.init_date)],2),...
                                      @(pt) all([pt.init_age<50 pt.dialysis_date <= pt.init_date],2),...
                                      @(pt) all([pt.init_age>=50 pt.dialysis_date <= pt.init_date],2),...
};
cf_table_opt.pt_split_names    = {'Pediatric','18-34','35-49','50-64','65+','Below 0.2','0.2-0.8','Above 0.8','Age < 50, No Dial.','Age 50+, No Dial.','Age<50, Dial.','Age 50+, Dial.'};
cf_table_opt.pt_chars          = {'cpra','init_age','pt_diabetes','init_bmi_calc','dialysis_date','prev_tx','tot_serum_album'};
